- Qt 5.15
- Qt Test
- Obsolete Members for QTest
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QTest

The following members of class QTest are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Functions

`(obsolete)` bool | qWaitForWindowShown(QWidget *widget, int timeout = 5000)

## Function Documentation

### bool QTest::qWaitForWindowShown(QWidget *widget, int timeout = 5000)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use qWaitForWindowExposed() instead.

Waits for timeout milliseconds or until the widget's window is exposed. Returns `true` if `widget`'s window is exposed within timeout milliseconds, otherwise returns `false`.

This function does the same as qWaitForWindowExposed().

Example:

     QWidget widget;
     widget.show();
     QTest::qWaitForWindowShown(&widget);

This function was introduced in Qt 5.0.

See also qWaitForWindowActive() and qWaitForWindowExposed().